Index: main/asterisk.c
===================================================================
--- main/asterisk.c	(revision 432991)
+++ main/asterisk.c	(working copy)
@@ -171,12 +171,10 @@
 #elif defined(HAVE_SYSCTL)
 #include <sys/param.h>
 #include <sys/sysctl.h>
-#if !defined(__OpenBSD__)
 #include <sys/vmmeter.h>
 #if defined(__FreeBSD__)
 #include <vm/vm_param.h>
 #endif
-#endif
 #if defined(HAVE_SWAPCTL)
 #include <sys/swap.h>
 #endif
Index: main/xmldoc.c
===================================================================
--- main/xmldoc.c	(revision 432991)
+++ main/xmldoc.c	(working copy)
@@ -2976,7 +2976,7 @@
 	globret = glob(xmlpattern, MY_GLOB_FLAGS, NULL, &globbuf);
 #endif
 
-	ast_debug(3, "gl_pathc %zu\n", globbuf.gl_pathc);
+	ast_debug(3, "gl_pathc %zu\n", (size_t)globbuf.gl_pathc);
 	if (globret == GLOB_NOSPACE) {
 		ast_log(LOG_WARNING, "XML load failure, glob expansion of pattern '%s' failed: Not enough memory\n", xmlpattern);
 		ast_free(xmlpattern);
Index: main/loader.c
===================================================================
--- main/loader.c	(revision 432991)
+++ main/loader.c	(working copy)
@@ -483,7 +483,9 @@
 
 static void unload_dynamic_module(struct ast_module *mod)
 {
+#if defined(HAVE_RTLD_NOLOAD)
 	char *name = ast_strdupa(ast_module_name(mod));
+#endif
 	void *lib = mod->lib;
 
 	/* WARNING: the structure pointed to by mod is going to
